Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000162openvibebug reportpublic2014-10-16 14:592015-02-27 14:41
Reporterzstas_mks 
Assigned Tojtlindgr 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86_64OSWindowsOS Version7
Summary0000162: "Signal display" box works incorrect with data from MCS NVX amplifier driver
DescriptionWe tested OpenViBE acquisition server v0.17.1 with MCS NVX amplifier driver and OpenViBE Designer worked correct, but using the same driver with OpenViBE v0.18 showed the next issues:
1) We tested Acquisition server v0.18 with MCS NVX amplifier driver with 36-channel amplifier. An external signal generator was connected to the first channel and all other channels was not connected at all. Everything seemed ok (figure 1). But when we disconnect the generator from the first channel and connect to any another (for example to the second), we don't see any signal in "Signal display" box and OpenViBE Designer console throws message: "(openvibe-designer.exe:3316): Gdk-WARNING **: gdkdrawable-win32.c:1352: Polyline failed ..." (figure 2).
2) If some channel is not connected to the amplifier, the driver sends INT_MAX sample value. We changed it to the NaN value. Then, if run the test scenario with all the channels disconnected, everything seemed to be ok (figure 3). But if connect some channel, acquisition server starts to send OVTK_GDF_Incorrect and OVTK_GDF_Correct events (figure 4). If disconnect, it stops.
Changing the "NaN value replacement" parameter has no effect.
 
TagsNo tags attached.
Attached Fileszip file icon Screenshots.zip [^] (583,623 bytes) 2014-10-16 14:59

- Relationships

-  Notes
(0001195)
jtlindgr (administrator)
2015-02-27 14:41
edited on: 2015-02-27 14:41

1) OpenViBE doesn't support runtime removal of channels. The correct way to address this is for the server driver provided by MCS to send e.g. a zero signal on the channels that it has declared but that have vanished runtime. If this is not the case, we are happy to accept a patch.
2) This should be fixed now. The server was unintentionally sending too many stimulations. In its correct behaviour, it sends OVTK_GDF_Incorrect when a NaN segment starts, and OVTK_GDF_Correct when the NaN segment has ended.

Thank you for the bug report!


- Issue History
Date Modified Username Field Change
2014-10-16 14:59 zstas_mks New Issue
2014-10-16 14:59 zstas_mks File Added: Screenshots.zip
2015-02-12 10:10 jtlindgr Assigned To => jtlindgr
2015-02-12 10:10 jtlindgr Status new => assigned
2015-02-27 14:41 jtlindgr Note Added: 0001195
2015-02-27 14:41 jtlindgr Status assigned => resolved
2015-02-27 14:41 jtlindgr Resolution open => fixed
2015-02-27 14:41 jtlindgr Note Edited: 0001195 View Revisions


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker